use godot::{init::EditorRunBehavior, prelude::*};

struct MDT;

mod classes;

#[gdextension]
unsafe impl ExtensionLibrary for MDT {

    fn editor_run_behavior() -> EditorRunBehavior {
        return EditorRunBehavior::AllClasses
    }

    fn min_level() -> InitLevel {
        return InitLevel::Scene
    }

    fn on_level_init(level: InitLevel) {
        match level {
            InitLevel::Scene => {
                if cfg!(debug_assertions) {
                    godot_print_rich!("[b]MiniDemoTools[/b] is in [color=red][b][u]DEBUG[/u][/b][/color] mode!")
                }
            }
            _ => {}
        }
    }
}
